"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const namespace_1 = require("@ionic/cli-utils/lib/namespace");
class DoctorNamespace extends namespace_1.Namespace {
    getMetadata() {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            return {
                name: 'doctor',
                description: 'Commands for checking the health of your Ionic project',
            };
        });
    }
    getCommands() {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            return new namespace_1.CommandMap([
                ['check', () => tslib_1.__awaiter(this, void 0, void 0, function* () { const { DoctorCheckCommand } = yield Promise.resolve().then(() => require('./check')); return new DoctorCheckCommand(this, this.env); })],
                ['ignore', () => tslib_1.__awaiter(this, void 0, void 0, function* () { const { DoctorIgnoreCommand } = yield Promise.resolve().then(() => require('./ignore')); return new DoctorIgnoreCommand(this, this.env); })],
                ['list', () => tslib_1.__awaiter(this, void 0, void 0, function* () { const { DoctorListCommand } = yield Promise.resolve().then(() => require('./list')); return new DoctorListCommand(this, this.env); })],
                ['ls', 'list'],
            ]);
        });
    }
}
exports.DoctorNamespace = DoctorNamespace;
